Name:       copr-cli
Version:    1.82
Release:    %mkrel 2
Summary:    Command line interface for COPR

Group:      System/Packaging
License:    GPLv2+
URL:        https://pagure.io/copr/copr

# Source is created by:
# git clone %%url && cd copr
# tito build --tgz --tag %%name-%%version-%%release
Source0:    %name-%version.tar.gz

BuildArch:  noarch

Requires:      wget

BuildRequires: asciidoc
BuildRequires: xsltproc
BuildRequires: util-linux

Requires:      python3-copr >= 1.89
Requires:      python3-jinja2
Requires:      python3-simplejson
Requires:      python3-humanize

Recommends:    python3-progress

BuildRequires: python3-copr >= 1.89
BuildRequires: python3-devel
BuildRequires: python3-jinja2
BuildRequires: python3-humanize
BuildRequires: python3-pytest
BuildRequires: python3-setuptools
BuildRequires: python3-simplejson
BuildRequires: python3-munch

%description
COPR is lightweight build system. It allows you to create new project in WebUI,
and submit new builds and COPR will create yum repository from latests builds.

This package contains command line interface.

%prep
%setup -q


%build
version="%{version}" %py3_build
mv copr_cli/README.rst ./
# convert manages
a2x -d manpage -f manpage man/copr-cli.1.asciidoc


%install
version="%{version}" %py3_install
ln -sf %{_bindir}/copr-cli %{buildroot}%{_bindir}/copr
install -d %{buildroot}%{_mandir}/man1
install -p -m 644 man/copr-cli.1 %{buildroot}/%{_mandir}/man1/
install -p man/copr.1 %{buildroot}/%{_mandir}/man1/
install -d %{buildroot}%{_datadir}/cheat
cp -a man/copr-cli.cheat %{buildroot}%{_datadir}/cheat/copr-cli
ln -s %{_datadir}/cheat/copr-cli %{buildroot}%{_datadir}/cheat/copr


%check
%{__python3} -m pytest tests


%files
%{!?_licensedir:%global license %doc}
%license LICENSE
%doc README.rst
%{_bindir}/copr
%{_bindir}/copr-cli
%{_mandir}/man1/copr-cli.1*
%{_mandir}/man1/copr.1*
%dir %{_datadir}/cheat
%{_datadir}/cheat/copr-cli
%{_datadir}/cheat/copr
%{python3_sitelib}/*




%changelog
* Mon Mar 30 2020 umeabot <umeabot> 1.82-2.mga8
+ Revision: 1562364
- Mageia 8 Mass Rebuild

* Tue Oct 08 2019 wally <wally> 1.82-1.mga8
+ Revision: 1450635
- new version 1.82
- sync with Fedora where appropriate
- rebuild for python3.8
+ daviddavid <daviddavid>
- rebuild for python3.8

* Thu Jun 20 2019 ngompa <ngompa> 1.79-1.mga7
+ Revision: 1400386
- Rebase to 1.79

* Mon Jan 07 2019 wally <wally> 1.58-6.mga7
+ Revision: 1350813
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.58-5.mga7
+ Revision: 1277817
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.58-4.mga7
+ Revision: 1135198
- Rebuild for python 3.6

* Tue Apr 18 2017 ngompa <ngompa> 1.58-3.mga6
+ Revision: 1096645
- Add Recommends python3-progress

* Mon Apr 17 2017 wally <wally> 1.58-2.mga6
+ Revision: 1096620
- require python3-jinja2

* Sat Apr 08 2017 ngompa <ngompa> 1.58-1.mga6
+ Revision: 1096137
- Update to 1.58

* Thu Aug 18 2016 ngompa <ngompa> 1.55-1.mga6
+ Revision: 1046817
- Update to 1.55

* Tue Jun 07 2016 ngompa <ngompa> 1.51-1.mga6
+ Revision: 1020560
- Update to 1.51
  ○ Changes from 1.50
  ○- support for package manipulation
  ○- added watch-build subcommand
  ○- rhbz 1333771 - Traceback from copr-cli when missing --pythonversions
  ○- rubygems CLI support implemented

* Sun May 15 2016 ngompa <ngompa> 1.50-2.mga6
+ Revision: 1015724
- imported package copr-cli

